﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Bike Blog</title>
    <link href="StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <div id="title"><asp:Image ID="Image1" runat="server" ImageUrl="~/BikeBlogHeader.gif" /></div>
        <div id="intro">
            Willkommen! Dies ist mein Bike-Blog. Ich nutze dieses sehr einfache Weblog, um die
            Menschen über meine Fahrradtouren und über anstehende Events zu informieren, die
            sich rund um das Fahrrad drehen, wie zum Beispiel das 170-Meilen-Rennen.</div>
        <div id="entries">
            <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataKeyNames="BlogEntryID"
                DataSourceID="dsBlogEntries" Width=100% AllowPaging="True" PageSize="5" BackColor="White" BorderColor="#E7E7FF" BorderStyle="None" BorderWidth="1px" CellPadding="3" GridLines="Horizontal">
                <Columns>
                    <asp:CommandField ShowSelectButton="True" />
                    <asp:BoundField DataField="DateEntered" HeaderText="Date" SortExpression="DateEntered" />
                    <asp:BoundField DataField="EnteredBy" HeaderText="Entered By" SortExpression="EnteredBy" />
                    <asp:BoundField DataField="Subject" HeaderText="Subject" SortExpression="Subject" />
                    <asp:BoundField DataField="Message" HeaderText="Message" SortExpression="Message" />
                </Columns>
                <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
                <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
                <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
                <SelectedRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
                <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
                <AlternatingRowStyle BackColor="#F7F7F7" />
            </asp:GridView>
            <asp:SqlDataSource ID="dsBlogEntries" runat="server" ConnectionString="Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|BikeBlog.mdf;Integrated Security=True;Connect Timeout=30;User Instance=True"
                SelectCommand="SELECT [BlogEntryID], [DateEntered], [EnteredBy], [DateModified], [Subject], [WindStrengthID], [WindDirectionID], [WeatherConditionID], [ModifiedBy], [Message] FROM [BlogEntry] ORDER BY [DateEntered] DESC">
            </asp:SqlDataSource>
            &nbsp;
        </div>
    </div>
    </form>
</body>
</html>
