﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="BlogEntryDetails.aspx.cs" Inherits="BlogEntryDetails" MasterPageFile="~/MasterPage.master" %>

<%@ Register Src="DisplayBlogEntryUC.ascx" TagName="DisplayBlogEntryUC" TagPrefix="uc1" %>
    <asp:Content ContentPlaceHolderID="MainContent" runat="server" ID="Content">
        <div id="content">
            <table>
                <tr>
                    <td colspan="2">
                        <uc1:DisplayBlogEntryUC ID="DisplayBlogEntryUC1" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td colspan=2 align=center>
                        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" CellPadding="4"
                            DataKeyNames="CommentID" DataSourceID="dsComments" EmptyDataText="Keine Kommentare zu diesem Eintrag." ForeColor="#333333" GridLines="None">
                            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                            <Columns>
                                <asp:BoundField DataField="DateEntered" HeaderText="DateEntered" SortExpression="DateEntered" />
                                <asp:BoundField DataField="EnteredBy" HeaderText="EnteredBy" SortExpression="EnteredBy" />
                                <asp:BoundField DataField="Subject" HeaderText="Subject" SortExpression="Subject" />
                                <asp:BoundField DataField="Message" HeaderText="Message" SortExpression="Message" />
                            </Columns>
                            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                            <EditRowStyle BackColor="#999999" />
                            <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                            <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                            <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                        </asp:GridView>
                        <asp:SqlDataSource ID="dsComments" runat="server" ConnectionString="<%$ ConnectionStrings:BikeBlogConnectionString %>"
                            SelectCommand="spSelectCommentsForBlogEntry" SelectCommandType="StoredProcedure">
                            <SelectParameters>
                                <asp:QueryStringParameter DefaultValue="0" Name="BlogEntryID" QueryStringField="BlogEntryID"
                                    Type="Int32" />
                            </SelectParameters>
                        </asp:SqlDataSource>
                    </td>
                </tr>
            </table>
            <asp:HyperLink ID="hlAddComment" runat="server">Kommentar hinzufügen</asp:HyperLink></div>
</asp:Content>    
