<%@ Page Language="C#" AutoEventWireup="true" CodeFile="EditTemplate.aspx.cs" Inherits="EditTemplate" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Edit Template</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    </div>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:BikeBlogConnectionString %>"
            DeleteCommand="DELETE FROM [BlogEntry] WHERE [BlogEntryID] = @BlogEntryID"
            InsertCommand="INSERT INTO [BlogEntry] ([DateEntered], [EnteredBy], [Subject], [Message]) VALUES (@DateEntered, @EnteredBy, @Subject, @Message)"
            SelectCommand="SELECT [BlogEntryID], [DateEntered], [EnteredBy], [Subject], [Message] FROM [BlogEntry] ORDER BY [DateEntered] DESC"
            UpdateCommand="UPDATE [BlogEntry] SET [DateEntered] = @DateEntered, [EnteredBy] = @EnteredBy, [Subject] = @Subject, [Message] = @Message WHERE [BlogEntryID] = @BlogEntryID">
            <DeleteParameters>
                <asp:Parameter Name="BlogEntryID" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="DateEntered" Type="DateTime" />
                <asp:Parameter Name="EnteredBy" Type="String" />
                <asp:Parameter Name="Subject" Type="String" />
                <asp:Parameter Name="Message" Type="String" />
                <asp:Parameter Name="BlogEntryID" Type="Int32" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="DateEntered" Type="DateTime" />
                <asp:Parameter Name="EnteredBy" Type="String" />
                <asp:Parameter Name="Subject" Type="String" />
                <asp:Parameter Name="Message" Type="String" />
            </InsertParameters>
        </asp:SqlDataSource>
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" BackColor="White"
            BorderColor="#E7E7FF" BorderStyle="None" BorderWidth="1px" CellPadding="3" DataSourceID="SqlDataSource1"
            GridLines="Horizontal">
            <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
            <Columns>
                <asp:CommandField ShowEditButton="True" />
                <asp:BoundField DataField="DateEntered" HeaderText="DateEntered" SortExpression="DateEntered" />
                <asp:BoundField DataField="EnteredBy" HeaderText="EnteredBy" ReadOnly="True" SortExpression="EnteredBy" />
                <asp:TemplateField HeaderText="Subject" SortExpression="Subject">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("Subject") %>'></asp:TextBox>
                        <asp:RequiredFieldValidator runat="server" ControlToValidate="TextBox2" ErrorMessage="*" Text="*" />
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# Bind("Subject") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Message" SortExpression="Message">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox1" runat="server" TextMode="MultiLine" Height="120" Width="220" Text='<%# Bind("Message") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Message") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
            <SelectedRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
            <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
            <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
            <AlternatingRowStyle BackColor="#F7F7F7" />
        </asp:GridView>
    
    </form>
</body>
</html>
