﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="WizardForm.aspx.cs" Inherits="WizardForm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Assistentenformular</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:Wizard ID="Wizard1" runat="server" ActiveStepIndex="0" BackColor="#EFF3FB" BorderColor="#B5C7DE" BorderWidth="1px" Font-Names="Verdana" Font-Size="0.8em" Height="265px" Width="406px" OnActiveStepChanged="Wizard1_ActiveStepChanged" DisplaySideBar="False" >
            <WizardSteps>
                <asp:WizardStep runat="server" Title="Text in ein Textfeld eingeben">
                    <asp:Label ID="Label1" runat="server" Text="Schritt 1"></asp:Label>
                    <br />
                    <asp:Label ID="Label2" runat="server" Text="Der Name Ihres Hundes lautet:"></asp:Label>
                    <asp:TextBox ID="DogName" runat="server"></asp:TextBox>
                </asp:WizardStep>
                <asp:WizardStep runat="server" Title="Aus einem Dropdown-Listenfeld ausw&#228;hlen">
                    <asp:Label ID="Label3" runat="server" Text="Schritt 2"></asp:Label>
                    <br />
                    <asp:Label ID="Label4" runat="server" Text="Ihre Lieblingsfarbe:"></asp:Label>
                    <asp:DropDownList ID="DropDownList1" runat="server">
                        <asp:ListItem>Rot</asp:ListItem>
                        <asp:ListItem>Gr&#252;n</asp:ListItem>
                        <asp:ListItem Value="Blau">Blau</asp:ListItem>
                    </asp:DropDownList>
                </asp:WizardStep>
                <asp:WizardStep runat="server" Title="Ein Kontrollk&#228;stchen aktivieren oder deaktivieren">
                    <asp:Label ID="Label5" runat="server" Text="Schritt 3"></asp:Label>
                    <br />
                    <asp:CheckBox ID="CheckBox1" runat="server" Text="Ich reagiere allergisch auf Katzen" />
                </asp:WizardStep>
                <asp:WizardStep runat="server" Title="Fertig stellen">
                    <asp:Label ID="Label6" runat="server" Text="Schritt 4"></asp:Label>
                    <br />
                    <asp:Label ID="FinishLabel" runat="server"></asp:Label>
                </asp:WizardStep>
            </WizardSteps>
            <StepStyle Font-Size="0.8em" ForeColor="#333333" />
            <SideBarStyle BackColor="#507CD1" Font-Size="0.9em" VerticalAlign="Top" />
            <SideBarButtonStyle BackColor="#507CD1" Font-Names="Verdana" ForeColor="White" />
            <HeaderStyle BackColor="#284E98" BorderColor="#EFF3FB" BorderStyle="Solid" BorderWidth="2px"
                Font-Bold="True" Font-Size="0.9em" ForeColor="White" HorizontalAlign="Center" />
            <NavigationButtonStyle BackColor="White" BorderColor="#507CD1" BorderStyle="Solid"
                BorderWidth="1px" Font-Names="Verdana" Font-Size="0.8em" ForeColor="#284E98" />
        </asp:Wizard>
    
    </div>
    </form>
</body>
</html>
