using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsWebAccess
{
    public partial class DocumentTest : Form
    {
        public DocumentTest()
        {
            InitializeComponent();
        }

        private void DocumentTest_Activated(object sender, EventArgs e)
        {
            string theDoc = "<html><body><form id='myForm'>Namen eingeben: <input id='name' /></form></body></html>";
            this.webBrowser1.DocumentText = theDoc;
        }

        private void btnSubmit_Click(object sender, EventArgs e)
        {
            System.Windows.Forms.HtmlDocument doc = this.webBrowser1.Document;
            if (doc != null && doc.All["name"] != null &&
                doc.All["name"].GetAttribute("value").Length == 0)
            {
                System.Windows.Forms.MessageBox.Show("Bitte einen Namen eingeben!");
            }
            else
            {
                System.Windows.Forms.MessageBox.Show("Sie haben eingegeben: " +
                    doc.All["name"].GetAttribute("value"));
            }
        }
    }
}