using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Users_AddComment : System.Web.UI.Page
{
    public int BlogEntryID
    {
        get
        {
            return ViewState["BlogEntryID"] == null ? 0 :
                (int)ViewState["BlogEntryID"];
        }
        set
        {
            ViewState["BlogEntryID"] = value;
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        this.Title = "Bike Blog!";
        if (this.IsPostBack == false)
        {
            int _BlogEntryID;
            int.TryParse(Request["BlogEntryID"],
                out _BlogEntryID);
            BlogEntryID = _BlogEntryID;
            this.DisplayBlogEntryUC1.BlogEntryID = BlogEntryID;
        }
    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/BlogEntryDetails.aspx?BlogEntryID=" + BlogEntryID.ToString());
    }
    protected void btnSave_Click(object sender, EventArgs e)
    {
        SqlConnection cn = 
            new SqlConnection(
                ConfigurationManager.
                    ConnectionStrings["BikeBlogConnectionString"].ConnectionString);
        cn.Open();
        try
        {
            SqlCommand cmd = new SqlCommand("spInsertComment", cn);
            cmd.CommandType = CommandType.StoredProcedure;

            cmd.Parameters.AddWithValue("@BlogEntryID", BlogEntryID);
            cmd.Parameters.AddWithValue("@Subject", this.edSubject.Text);
            cmd.Parameters.AddWithValue("@Message", this.edMessage.Text);
            cmd.Parameters.AddWithValue("@EnteredBy", User.Identity.Name);

            cmd.ExecuteNonQuery();

            Response.Redirect("~/BlogEntryDetails.aspx?BLogEntryID=" + 
                BlogEntryID.ToString(),false);
        }
        finally
        {
            cn.Close();
        }
    }
}
