using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for SimpleWebPart
/// </summary>
public class SimpleWebPart : System.Web.UI.WebControls.WebParts.WebPart
{
    private string text;

    public string Text
    {
        get
        {
            return text;
        }

        set
        {
            text = value;
        }
    }

    public override bool AllowClose
    {
        get
        {
            return false;
        }
        set
        {
            // Ignorieren...
        }
    }

    public SimpleWebPart()
    {
        this.Title = "Einfaches Webpart";
        text = "Dies ist ein einfaches Webpart.";
    }

    protected override void RenderContents(HtmlTextWriter writer)
    {
        writer.Write(Text);
    }

}
