﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Default Page</title>
    <link href="StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:BikeBlogConnectionString %>"
            DeleteCommand="DELETE FROM [BlogEntry] WHERE [BlogEntryID] = @original_BlogEntryID"
            InsertCommand="INSERT INTO [BlogEntry] ([DateEntered], [EnteredBy], [Subject], [Message]) VALUES (@DateEntered, @EnteredBy, @Subject, @Message)"
            SelectCommand="SELECT [BlogEntryID], [DateEntered], [EnteredBy], [Subject], [Message] FROM [BlogEntry] WHERE ([DateEntered] > @DateEntered) ORDER BY [DateEntered] DESC"
            UpdateCommand="UPDATE [BlogEntry] SET [DateEntered] = @DateEntered, [EnteredBy] = @EnteredBy, [Subject] = @Subject, [Message] = @Message WHERE [BlogEntryID] = @original_BlogEntryID">
            <SelectParameters>
                <asp:Parameter DefaultValue="1/1/2005" Name="DateEntered" Type="DateTime" />
            </SelectParameters>
            <DeleteParameters>
                <asp:Parameter Name="original_BlogEntryID" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="DateEntered" Type="DateTime" />
                <asp:Parameter Name="EnteredBy" Type="String" />
                <asp:Parameter Name="Subject" Type="String" />
                <asp:Parameter Name="Message" Type="String" />
                <asp:Parameter Name="original_BlogEntryID" Type="Int32" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="DateEntered" Type="DateTime" />
                <asp:Parameter Name="EnteredBy" Type="String" />
                <asp:Parameter Name="Subject" Type="String" />
                <asp:Parameter Name="Message" Type="String" />
            </InsertParameters>
        </asp:SqlDataSource>
        &nbsp;</div>
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" BackColor="White"
            BorderColor="#E7E7FF" BorderStyle="None" BorderWidth="1px" CellPadding="3" DataKeyNames="BlogEntryID"
            DataSourceID="SqlDataSource1" GridLines="Horizontal" AllowPaging="True" AllowSorting="True" OnSelectedIndexChanged="GridView1_SelectedIndexChanged" OnSelectedIndexChanging="GridView1_SelectedIndexChanging" PageSize="4">
            <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
            <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
            <Columns>
                <asp:CommandField ShowSelectButton="True" />
                <asp:BoundField DataField="BlogEntryID" HeaderText="Blog #" InsertVisible="False"
                    ReadOnly="True" SortExpression="BlogEntryID" />
                <asp:BoundField DataField="DateEntered" DataFormatString="{0:ddd, MM/dd/yyyy}" HeaderText="DateEntered"
                    SortExpression="DateEntered" />
                <asp:BoundField DataField="EnteredBy" HeaderText="EnteredBy" SortExpression="EnteredBy" />
                <asp:BoundField DataField="Subject" HeaderText="Subject" SortExpression="Subject" />
                <asp:BoundField DataField="Message" HeaderText="Message" SortExpression="Message" />
            </Columns>
            <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
            <SelectedRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
            <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" CssClass="SortableGridView" />
            <AlternatingRowStyle BackColor="#F7F7F7" />
            <EmptyDataTemplate>
                Keine Blog-Einträge vorhanden.
            </EmptyDataTemplate>
        </asp:GridView>
        <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" BackColor="White"
            BorderColor="#E7E7FF" BorderStyle="None" BorderWidth="1px" CellPadding="3" DataKeyNames="BlogEntryID"
            DataSourceID="SqlDataSource1" GridLines="Horizontal" Height="50px" Width="100%" DefaultMode="Edit" Visible="False">
            <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
            <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
            <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
            <Fields>
                <asp:BoundField DataField="BlogEntryID" HeaderText="BlogEntryID" InsertVisible="False"
                    ReadOnly="True" SortExpression="BlogEntryID" />
                <asp:BoundField DataField="DateEntered" HeaderText="DateEntered" SortExpression="DateEntered" />
                <asp:BoundField DataField="EnteredBy" HeaderText="EnteredBy" SortExpression="EnteredBy" />
                <asp:TemplateField HeaderText="Subject" SortExpression="Subject">
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# Bind("Subject") %>'></asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox2" runat="server" Width="80%" Text='<%# Bind("Subject") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <InsertItemTemplate>
                        <asp:TextBox ID="TextBox2" runat="server" Width="80%" Text='<%# Bind("Subject") %>'></asp:TextBox>
                    </InsertItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Message" SortExpression="Message">
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Message") %>'></asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox1" runat="server" TextMode=MultiLine Width=80% Height=120px Text='<%# Bind("Message") %>'></asp:TextBox>
                    </EditItemTemplate>
                    <InsertItemTemplate>
                        <asp:TextBox ID="TextBox1" runat="server" TextMode=MultiLine Width=80% Height=120px Text='<%# Bind("Message") %>'></asp:TextBox>
                    </InsertItemTemplate>
                </asp:TemplateField>
                <asp:CommandField ShowEditButton="True" />
            </Fields>
            <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
            <EditRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
            <AlternatingRowStyle BackColor="#F7F7F7" />
        </asp:DetailsView>
    </form>
</body>
</html>
