﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Kopie von BetterEdit.aspx.cs" Inherits="BetterEdit" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Better Edit</title>
    <link href="StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:BikeBlogConnectionString %>"
            SelectCommand="SELECT [BlogEntryID], [DateEntered], [EnteredBy], [DateModified], [ModifiedBy], [WeatherConditionID], [WindDirectionID], [WindStrengthID], [Subject], [Message] FROM [BlogEntry] ORDER BY [DateEntered] DESC">
        </asp:SqlDataSource>
    
    </div>
        <asp:MultiView ID="MultiView1" runat="server">
            <asp:View ID="Grid" runat=Server>
                <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True"
                    AutoGenerateColumns="False" BackColor="White" BorderColor="#E7E7FF" BorderStyle="None"
                    BorderWidth="1px" CellPadding="3" DataKeyNames="BlogEntryID" DataSourceID="SqlDataSource1"
                    GridLines="Horizontal" PageSize="4" OnSelectedIndexChanging="GridView1_SelectedIndexChanging">
                    <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
                    <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
                    <Columns>
                        <asp:CommandField ShowSelectButton="True" />
                        <asp:BoundField DataField="BlogEntryID" HeaderText="BlogEntryID" InsertVisible="False"
                            ReadOnly="True" SortExpression="BlogEntryID" Visible="False" />
                        <asp:BoundField DataField="DateEntered" HeaderText="DateEntered" SortExpression="DateEntered" />
                        <asp:BoundField DataField="EnteredBy" HeaderText="EnteredBy" SortExpression="EnteredBy" />
                        <asp:BoundField DataField="DateModified" HeaderText="DateModified" SortExpression="DateModified" />
                        <asp:BoundField DataField="ModifiedBy" HeaderText="ModifiedBy" SortExpression="ModifiedBy" />
                        <asp:BoundField DataField="Subject" HeaderText="Subject" SortExpression="Subject" />
                        <asp:BoundField DataField="Message" HeaderText="Message" SortExpression="Message" />
                    </Columns>
                    <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
                    <SelectedRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
                    <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
                    <AlternatingRowStyle BackColor="#F7F7F7" />
                </asp:GridView>
                <asp:Button ID="btnNewEntry" runat="server" OnClick="btnNewEntry_Click" Text="New Entry" /></asp:View>
            <asp:View ID="DetailsEdit" runat=server>
                <table width=100%>
                    <tr>
                        <td align=right width=50%>
                            <asp:Label ID="Label2" runat="server" Text="Subject:"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox ID="edSubject" runat="server" MaxLength="128" Width="80%"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td align=right width=50%>
                            <asp:Label ID="Label3" runat="server" Text="Weather Conditions:"></asp:Label>
                        </td>
                        <td>
                            <asp:DropDownList ID="ddlWeatherCondition" runat="server" DataSourceID="dsWeatherCondition" DataTextField="Description" DataValueField="WeatherConditionID">
                            </asp:DropDownList></td>
                    </tr>
                    <tr>
                        <td align=right width=50%>
                            <asp:Label ID="Label4" runat="server" Text="Wind Strength:"></asp:Label>
                        </td>
                        <td>
                            <asp:DropDownList ID="ddlWindStrength" runat="server" DataSourceID="dsWindStrength" DataTextField="Description" DataValueField="WindStrengthID">
                            </asp:DropDownList></td>
                    </tr>
                    <tr>
                        <td align=right width=50%>
                            <asp:Label ID="Label5" runat="server" Text="Wind Direction:"></asp:Label>
                        </td>
                        <td>
                            <asp:DropDownList ID="ddlWindDirection" runat="server" DataSourceID="dsWindDirection" DataTextField="Description" DataValueField="WindDirectionID">
                            </asp:DropDownList></td>
                    </tr>
                    <tr>
                        <td align=right width=50% valign="top">
                            <asp:Label ID="Label1" runat="server" Text="Message:"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox ID="edMessage" runat="server" MaxLength="128" Width="80%" Height="200px" TextMode="MultiLine"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td align=right colspan=2>
                            <asp:Button ID="cmdCancel" runat="server" OnClick="cmdCancel_Click" Text="Cancel" />
                            <asp:Button ID="cmdSave" runat="server" OnClick="cmdSave_Click" Text="Save" /></td>
                    </tr>
                </table>
            </asp:View>
        </asp:MultiView>
        <asp:SqlDataSource ID="dsWeatherCondition" runat="server" ConnectionString="<%$ ConnectionStrings:BikeBlogConnectionString %>"
            SelectCommand="SELECT [WeatherConditionID], [Description] FROM [WeatherCondition] ORDER BY [Description]">
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="dsWindDirection" runat="server" ConnectionString="<%$ ConnectionStrings:BikeBlogConnectionString %>"
            SelectCommand="SELECT [WindDirectionID], [Description] FROM [WindDirection] ORDER BY [Description]">
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="dsWindStrength" runat="server" ConnectionString="<%$ ConnectionStrings:BikeBlogConnectionString %>"
            SelectCommand="SELECT [WindStrengthID], [Description] FROM [WindStrength] ORDER BY [Description]">
        </asp:SqlDataSource>
    </form>
</body>
</html>
