using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsWebAccess
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnGo_Click(object sender, EventArgs e)
        {
            WebBrowser wb = (WebBrowser)this.tabControl1.SelectedTab.Controls[0];
            wb.Navigate(this.edAddress.Text);
        }

        private void webBrowser1_DocumentCompleted(object sender, WebBrowserDocumentCompletedEventArgs e)
        {

        }

        private void webBrowser1_Navigated(object sender, WebBrowserNavigatedEventArgs e)
        {
            this.edAddress.Text = ((WebBrowser)sender).Url.ToString();
            this.tabControl1.SelectedTab.Text = this.edAddress.Text;
        }

        private void btnGoNewTab_Click(object sender, EventArgs e)
        {
            WebBrowser wb = new WebBrowser();
            string key = Guid.NewGuid().ToString();
            wb.Dock = DockStyle.Fill;
            wb.Name = key;
            wb.Navigated += 
                new System.Windows.Forms.WebBrowserNavigatedEventHandler(
                this.webBrowser1_Navigated);
            this.tabControl1.TabPages.Add(key, this.edAddress.Text);
            this.tabControl1.TabPages[key].Controls.Add(wb);
            ((WebBrowser)this.tabControl1.TabPages[key].Controls[0]).Navigate(this.edAddress.Text);
            this.tabControl1.SelectTab(key);
        }

        private void btnCloseTab_Click(object sender, EventArgs e)
        {
            this.tabControl1.TabPages.Remove(this.tabControl1.SelectedTab);
        }

        private void btnBack_Click(object sender, EventArgs e)
        {
            WebBrowser wb = this.tabControl1.SelectedTab.Controls[0] as WebBrowser;
            if (wb != null)
            {
                wb.GoBack();
            }
        }

        private void btnForward_Click(object sender, EventArgs e)
        {
            WebBrowser wb = this.tabControl1.SelectedTab.Controls[0] as WebBrowser;
            if (wb != null)
            {
                wb.GoForward();
            }
        }

        private void btnRefresh_Click(object sender, EventArgs e)
        {
            WebBrowser wb = this.tabControl1.SelectedTab.Controls[0] as WebBrowser;
            if (wb != null)
            {
                wb.Refresh();
            }
        }
    }
}